package com.cool.bang.api;

import com.cool.bang.modules.mysql.service.*;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;

@RestController
@RequestMapping("/match")
public class DataMatch {

    @Resource
    private MySQLService mySQLService;
    @Autowired
    private MySQLSecondService mySQLSecondService;

    @Resource
    private UserService userService;

    @Resource
    private AccountService accountService;

    @Resource
    private RefundService refundService;

    /**
     * 用户表导入
     */
    @GetMapping("user")
    public void user () {
        userService.execute();
    }

    /**
     * 1项目表导入
     */
    @GetMapping("project")
    public void project(){
        mySQLService.project();
    }

    /**
     * 2账户表导入
     */
    @GetMapping("account")
    public void account(){
        accountService.execute();
    }

    /**
     * 3项目虚拟户、楼幢虚拟户表导入
     */
    @GetMapping("projectAccount")
    public void projectAccount(){
        mySQLService.projectAccount();
    }

    /**
     * 4 托管申请业务 托管协议导入
     */
    @GetMapping("trusteeshipBusiness")
    public void trusteeshipBusiness(){
        mySQLService.trusteeshipBusiness();
    }

    /**
     * 7 监管开户申请业务表导入
     */
    @GetMapping("superviseBusiness")
    public void superviseBusiness(){
        mySQLService.superviseBusiness();
    }

    /**
     * 6项目解除业务信息导入
     */
    @GetMapping("relieve")
    public void relieve(){
        mySQLService.relieve();
    }

    /**
     * 监管开户解除业务表导入
     */
    @GetMapping("superviseRelieve")
    public void superviseRelieve(){
        //mySQLService.superviseRelieve();
    }

    /**
     * 监管资金转托管业务表、明细表导入
     */
    @GetMapping("superviseTo")
    public void superviseTo(){
        mySQLService.superviseTo();
    }

    /**
     * 5 工程形象进度业务表、明细表导入
     */
    @GetMapping("progressBusiness")
    public void progressBusiness() {
        mySQLService.progressBusiness();
    }

    /**
     * 拨付业务信息导入
     */
    @GetMapping("appropriation")
    public void appropriation() {
        mySQLService.trusteeshipAppropriation();
        mySQLService.superviseAppropriation();

    }

    /**
     * 合同
     */
    @GetMapping("htTo")
    public void htTo(){
        mySQLService.htTo();
    }


    /**
     *交存
     */
    @GetMapping("htPayTo")
    public void htPayTo(){
        mySQLService.htPayTo();
    }


    /**
     * 定金
     */
    @GetMapping("djTo")
    public void djTo(){
        mySQLService.djTo();
    }


    /**
     * 退款（合同）
     */
    @GetMapping("refund")
    public void refund(){
        refundService.execute();
    }

    /**
     * 楼栋解除
     */
    @GetMapping("buildingRelieve")
    public void buildingRelieve(){
        mySQLSecondService.buildingRelieve();
    }


    /**
     * 交易表记录（托管记录）
     */
    @GetMapping("trade")
    public void trade(){
        mySQLSecondService.tradeTgTo();
    }

    /**
     * 楼幢对账
     */
    @GetMapping("accountChecking")
    public void accountChecking(){
        mySQLSecondService.accountChecking();
    }

    /**
     * 楼幢对账
     */
    @GetMapping("projectCheck")
    public void projectCheck() {mySQLSecondService.projectCheck();}

    /**
     * 托管账户对账
     */
    @GetMapping("bankAccountCheck")
    public void bankAccountCheck(){mySQLSecondService.bankAccountCheck();}


    /**
     * 托管合同交存跟交易对账
     */
    @GetMapping("contractFundCheckTrade")
    public void contractFundCheckTrade(){mySQLSecondService.contractFundCheckTrade();}

    /**
     * 查询银行账单，按日期
     */
    @GetMapping("bank/{bankCode}/{startDate}/{endDate}")
    public void bank(@PathVariable String bankCode, @PathVariable String startDate, @PathVariable String endDate) {
        mySQLService.bankBill(bankCode, startDate, endDate);
    }

    /**
     * 查询银行账单，按日期
     */
    @GetMapping("orgAccount")
    public void org() {
        mySQLService.selectOrgAccount();
    }

    @GetMapping("projectAccount2")
    public void projectAccount2() {
        mySQLService.projectAccount2();
    }



    /**
     * 处理 2022年07月之前的合同 处理交存状态为 1 但是贷款已经放款了的 老的合同  变为状态 为交存完成
     * 操作-1
     */
    @GetMapping("updateOldContractPaymentStatus")
    public void updateOldContractPaymentStatus(){
        mySQLService.updateOldContractPaymentStatus();
    }


    /**
     * 更新现有合同的首次交存时间
     * 操作-2
     */
    @GetMapping("updateContractPaymentTime")
    public void updateContractPaymentTime(){
        mySQLService.updateContractPaymentTime();
    }


    /**
     * 合同逾期数据导入
     * 操作-3
     */
    @GetMapping("contractOverdueTo")
    public void contractOverdueTo(){
        mySQLService.contractOverdueTo();
    }

    /**
     * 处理 合同交存首期款交存 但是没有交易的 zjjgflag = 0 的是  改成免存状态
     * 只处理拉取合同产生新的新的交存的数据
     */
    @GetMapping("checkFundContractChangeIsExempt")
    public void checkFundContractChangeIsExempt(){
        mySQLService.checkFundContractChangeIsExempt();
    }


}
