package com.cool.bang.modules.mysql.domain;

import com.cool.bang.modules.oracle.domain.po.Jgztgmx;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 监管资金转托管明细
 *
 * @author PeiZhi Guo
 * 2023-02-08 10:12
 */
public class SuperviseToDetail {

    private static final long serialVersionUID = 1L;

    private Long id;

    /** 监管资金转托管表主键 */
    private Long superviseToId;

    /** 楼幢虚拟户主键 */
    private Long buildingAccountId;

    /** 楼幢编号 */
    private String buildingNumber;

    /** 楼幢名称 */
    private String buildingName;

    /** 监管余额 */
    private BigDecimal accountBalance;

    /** 留存比例 */
    private BigDecimal keepPercentage;

    /** 留存金额 */
    private BigDecimal keepAmount;

    /** 转入金额 */
    private BigDecimal transferAmount;

    /** 删除标识 1正常 0删除 */
    private Integer delFlag;

    private Date createTime;
    private Date updateTime;

    public SuperviseToDetail(){}

    public SuperviseToDetail(BuildingAccount buildingAccount,Jgztgmx jgztgmx){
        this.buildingAccountId = buildingAccount.getId();
        this.buildingNumber = buildingAccount.getBuildingNumber();
        this.buildingName = buildingAccount.getBuildingName();

        this.accountBalance = jgztgmx.getLzye();
        this.keepPercentage = jgztgmx.getLcbl();
        this.keepAmount = jgztgmx.getLcje();
        this.transferAmount = jgztgmx.getLzzrje();
        this.delFlag = 1;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getSuperviseToId() {
        return superviseToId;
    }

    public void setSuperviseToId(Long superviseToId) {
        this.superviseToId = superviseToId;
    }

    public Long getBuildingAccountId() {
        return buildingAccountId;
    }

    public void setBuildingAccountId(Long buildingAccountId) {
        this.buildingAccountId = buildingAccountId;
    }

    public String getBuildingNumber() {
        return buildingNumber;
    }

    public void setBuildingNumber(String buildingNumber) {
        this.buildingNumber = buildingNumber;
    }

    public String getBuildingName() {
        return buildingName;
    }

    public void setBuildingName(String buildingName) {
        this.buildingName = buildingName;
    }

    public BigDecimal getAccountBalance() {
        return accountBalance;
    }

    public void setAccountBalance(BigDecimal accountBalance) {
        this.accountBalance = accountBalance;
    }

    public BigDecimal getKeepPercentage() {
        return keepPercentage;
    }

    public void setKeepPercentage(BigDecimal keepPercentage) {
        this.keepPercentage = keepPercentage;
    }

    public BigDecimal getKeepAmount() {
        return keepAmount;
    }

    public void setKeepAmount(BigDecimal keepAmount) {
        this.keepAmount = keepAmount;
    }

    public BigDecimal getTransferAmount() {
        return transferAmount;
    }

    public void setTransferAmount(BigDecimal transferAmount) {
        this.transferAmount = transferAmount;
    }

    public Integer getDelFlag() {
        return delFlag;
    }

    public void setDelFlag(Integer delFlag) {
        this.delFlag = delFlag;
    }
}
