package com.cool.bang.modules.mysql.domain;

import com.cool.bang.common.util.DateUtil;
import com.cool.bang.modules.oracle.domain.Bxmxy;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 托管协议
 */
public class TrusteeshipAgreement {

    private static final long serialVersionUID = 1L;

    private Long id;

    /** 托管申请主键 */
    private Long trusteeshipId;

    /** 业务编号 */
    private String businessNumber;

    /** 企业主键 */
    private Integer orgId;

    /** 开发企业 */
    private String orgName;

    /** 托管机构 */
    private String trusteeshipOrg;

    /** 项目主键 */
    private Long projectId;

    /** 项目编号 */
    private String projectNumber;

    /** 项目名称 */
    private String projectName;

    /** 项目地址 */
    private String projectAddress;

    /** 建筑面积 单位平方米，由开发单位根据规划信息手工填写 */
    private BigDecimal buildArea;

    /** 建筑成本主键 */
    private Long buildCostId;

    /** 建筑成本名称 */
    private String buildCostName;

    /** 监管楼栋 */
    private String building;

    /** 签约进度 0待发起 1待企业签章 2待托管机构签章 3已备案(虚拟账户开设完成) */
    private Integer signState;

    /** 银行编码 */
    private String trusteeship0BankCode;

    /** 银行名称 */
    private String trusteeship0Bank;

    /** 托管户主键 */
    private Long trusteeship0AccountId;

    /** 托管账户 */
    private String trusteeship0Account;

    /** 托管楼幢范围 */
    private String trusteeship0Range;

    /** 银行编码 */
    private String trusteeship1BankCode;

    /** 银行名称 */
    private String trusteeship1Bank;

    /** 托管户主键 */
    private Long trusteeship1AccountId;

    /** 托管账户 */
    private String trusteeship1Account;

    /** 托管楼幢范围 */
    private String trusteeship1Range;

    /** 银行编码 */
    private String trusteeship2BankCode;

    /** 银行名称 */
    private String trusteeship2Bank;

    /** 托管户主键 */
    private Long trusteeship2AccountId;

    /** 托管账户 */
    private String trusteeship2Account;

    /** 托管楼幢范围 */
    private String trusteeship2Range;

    /** 删除标识 1正常 0删除 */
    private Integer delFlag;

    /** 企业签章人 */
    private String signer;

    /** 企业签章人电话 */
    private String signerPhone;

    private Date createTime;

    public TrusteeshipAgreement(){}

    public TrusteeshipAgreement(TrusteeshipBusiness business, Bxmxy bxmxy){
        this.trusteeshipId = business.getId();
        this.businessNumber = bxmxy.getXybh();
        this.orgId = business.getOrgId();
        this.orgName = business.getOrgName();
        this.trusteeshipOrg = bxmxy.getTgjgmc();
        this.projectId = business.getProjectId();
        this.projectName = business.getProjectName();
        this.projectNumber = business.getProjectNumber();
        this.projectAddress = business.getProjectAddress();
        this.buildArea = business.getBuildArea();
        this.buildCostId = business.getBuildCostId();
        this.buildCostName = business.getBuildCostName();
        this.building = bxmxy.getJgld();
        this.signState = signStateSwitch(bxmxy.getBljd(),bxmxy);//签约进度 0待发起 1待企业签章 2待托管机构签章 3已备案(虚拟账户开设完成)
        this.trusteeship0BankCode = bxmxy.getTgyhbh();
        this.trusteeship0Bank = bxmxy.getTgyhmc();
        this.trusteeship0Account = bxmxy.getTgzh();
        this.trusteeship0Range = bxmxy.getJgld();
        this.delFlag = 1;
        this.signer = bxmxy.getQyqzr();
        this.signerPhone = bxmxy.getQyqzrdh();
        this.createTime = DateUtil.strToDate(bxmxy.getShsj(),"yyyy-MM-dd HH:mm:ss");
    }

    //1提交、2审核、3办理、4生成PDF、5创建契约锁文档、6创建契约锁合同、7开发企业签章 、8机构签章、9完成。
    public Integer signStateSwitch(Integer data,Bxmxy bxmxy){
        if (data<5){
            return 0;
        }else {
            if (data == 6){
                return 1;
            }else if (data == 7){
                return 2;
            }else {
                return 3;
            }
        }
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getSigner() {
        return signer;
    }

    public void setSigner(String signer) {
        this.signer = signer;
    }

    public String getSignerPhone() {
        return signerPhone;
    }

    public void setSignerPhone(String signerPhone) {
        this.signerPhone = signerPhone;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getTrusteeshipId() {
        return trusteeshipId;
    }

    public void setTrusteeshipId(Long trusteeshipId) {
        this.trusteeshipId = trusteeshipId;
    }

    public String getBusinessNumber() {
        return businessNumber;
    }

    public void setBusinessNumber(String businessNumber) {
        this.businessNumber = businessNumber;
    }

    public Integer getOrgId() {
        return orgId;
    }

    public void setOrgId(Integer orgId) {
        this.orgId = orgId;
    }

    public String getOrgName() {
        return orgName;
    }

    public void setOrgName(String orgName) {
        this.orgName = orgName;
    }

    public String getTrusteeshipOrg() {
        return trusteeshipOrg;
    }

    public void setTrusteeshipOrg(String trusteeshipOrg) {
        this.trusteeshipOrg = trusteeshipOrg;
    }

    public Long getProjectId() {
        return projectId;
    }

    public void setProjectId(Long projectId) {
        this.projectId = projectId;
    }

    public String getProjectNumber() {
        return projectNumber;
    }

    public void setProjectNumber(String projectNumber) {
        this.projectNumber = projectNumber;
    }

    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    public String getProjectAddress() {
        return projectAddress;
    }

    public void setProjectAddress(String projectAddress) {
        this.projectAddress = projectAddress;
    }

    public BigDecimal getBuildArea() {
        return buildArea;
    }

    public void setBuildArea(BigDecimal buildArea) {
        this.buildArea = buildArea;
    }

    public Long getBuildCostId() {
        return buildCostId;
    }

    public void setBuildCostId(Long buildCostId) {
        this.buildCostId = buildCostId;
    }

    public String getBuildCostName() {
        return buildCostName;
    }

    public void setBuildCostName(String buildCostName) {
        this.buildCostName = buildCostName;
    }

    public String getBuilding() {
        return building;
    }

    public void setBuilding(String building) {
        this.building = building;
    }

    public Integer getSignState() {
        return signState;
    }

    public void setSignState(Integer signState) {
        this.signState = signState;
    }

    public String getTrusteeship0BankCode() {
        return trusteeship0BankCode;
    }

    public void setTrusteeship0BankCode(String trusteeship0BankCode) {
        this.trusteeship0BankCode = trusteeship0BankCode;
    }

    public String getTrusteeship0Bank() {
        return trusteeship0Bank;
    }

    public void setTrusteeship0Bank(String trusteeship0Bank) {
        this.trusteeship0Bank = trusteeship0Bank;
    }

    public Long getTrusteeship0AccountId() {
        return trusteeship0AccountId;
    }

    public void setTrusteeship0AccountId(Long trusteeship0AccountId) {
        this.trusteeship0AccountId = trusteeship0AccountId;
    }

    public String getTrusteeship0Account() {
        return trusteeship0Account;
    }

    public void setTrusteeship0Account(String trusteeship0Account) {
        this.trusteeship0Account = trusteeship0Account;
    }

    public String getTrusteeship0Range() {
        return trusteeship0Range;
    }

    public void setTrusteeship0Range(String trusteeship0Range) {
        this.trusteeship0Range = trusteeship0Range;
    }

    public String getTrusteeship1BankCode() {
        return trusteeship1BankCode;
    }

    public void setTrusteeship1BankCode(String trusteeship1BankCode) {
        this.trusteeship1BankCode = trusteeship1BankCode;
    }

    public String getTrusteeship1Bank() {
        return trusteeship1Bank;
    }

    public void setTrusteeship1Bank(String trusteeship1Bank) {
        this.trusteeship1Bank = trusteeship1Bank;
    }

    public Long getTrusteeship1AccountId() {
        return trusteeship1AccountId;
    }

    public void setTrusteeship1AccountId(Long trusteeship1AccountId) {
        this.trusteeship1AccountId = trusteeship1AccountId;
    }

    public String getTrusteeship1Account() {
        return trusteeship1Account;
    }

    public void setTrusteeship1Account(String trusteeship1Account) {
        this.trusteeship1Account = trusteeship1Account;
    }

    public String getTrusteeship1Range() {
        return trusteeship1Range;
    }

    public void setTrusteeship1Range(String trusteeship1Range) {
        this.trusteeship1Range = trusteeship1Range;
    }

    public String getTrusteeship2BankCode() {
        return trusteeship2BankCode;
    }

    public void setTrusteeship2BankCode(String trusteeship2BankCode) {
        this.trusteeship2BankCode = trusteeship2BankCode;
    }

    public String getTrusteeship2Bank() {
        return trusteeship2Bank;
    }

    public void setTrusteeship2Bank(String trusteeship2Bank) {
        this.trusteeship2Bank = trusteeship2Bank;
    }

    public Long getTrusteeship2AccountId() {
        return trusteeship2AccountId;
    }

    public void setTrusteeship2AccountId(Long trusteeship2AccountId) {
        this.trusteeship2AccountId = trusteeship2AccountId;
    }

    public String getTrusteeship2Account() {
        return trusteeship2Account;
    }

    public void setTrusteeship2Account(String trusteeship2Account) {
        this.trusteeship2Account = trusteeship2Account;
    }

    public String getTrusteeship2Range() {
        return trusteeship2Range;
    }

    public void setTrusteeship2Range(String trusteeship2Range) {
        this.trusteeship2Range = trusteeship2Range;
    }

    public Integer getDelFlag() {
        return delFlag;
    }

    public void setDelFlag(Integer delFlag) {
        this.delFlag = delFlag;
    }
}
