package com.cool.bang.modules.mysql.domain.mysql;

import com.cool.bang.modules.oracle.domain.OracleUser;

import java.util.Collection;
import java.util.Date;
import java.util.List;

/**
 * 用户表
 *
 * @author PeiZhi Guo
 * 2021-2-18 10:52
 */
public class MysqlUser {

    private Long id;

    private Integer orgId; //企业id 或支行id

    private Integer userType; //超级管理员0 监管单位1 开发单位2 托管银行3 托管机构4

    private String  username;

    private String  password;

    private String  realName; // 用户昵称

    private String  avatar; // 用户头像

    private Integer sex;

    private String  phone;

    private String  email;

    private String  token;

    private Long loginTime;

    private Long expireTime;

    private boolean enable; // 启用标识 0禁用 1正常

    private boolean delFlag; // 删除标识 0删除 1正常

    private Long createBy;

    private Long updateBy;

    private Date createTime;

    private Date updateTime;

    private String remark;

    public MysqlUser(OracleUser oracle) {
        userType(oracle.getUsertype());
        this.username = oracle.getLoginname();
        this.password = "$2a$10$fgr4fEsZenOOeh8PGWGGxexo1Szju/tqt6XNMQt/9n/8nux0OuSdq";
        this.realName = oracle.getUsername();
        this.avatar = null;
        this.sex = oracle.convertSex();
        this.phone = oracle.getTel();
        this.email = null;
        this.enable = true;
        this.delFlag = true;
        this.createTime = new Date();
        this.updateTime = new Date();
    }

    private void userType(Integer userType) {
        // 房管
        if (userType.equals(0)) {
            this.userType = 1;
        }
        // 开发单位
        if (userType.equals(1)) {
            this.userType = 2;
        }
        // 银行
        if (userType.equals(2)) {
            this.userType = 3;
        }
    }

    public String getUsername() {
        return username;
    }

    public String getPassword() {
        return password;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Integer getOrgId() {
        return orgId;
    }

    public void setOrgId(Integer orgId) {
        this.orgId = orgId;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public String getRealName() {
        return realName;
    }

    public void setRealName(String realName) {
        this.realName = realName;
    }

    public String getAvatar() {
        return avatar;
    }

    public void setAvatar(String avatar) {
        this.avatar = avatar;
    }

    public Integer getSex() {
        return sex;
    }

    public void setSex(Integer sex) {
        this.sex = sex;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email;
    }

    public String getToken() {
        return token;
    }

    public void setToken(String token) {
        this.token = token;
    }

    public Long getLoginTime() {
        return loginTime;
    }

    public void setLoginTime(Long loginTime) {
        this.loginTime = loginTime;
    }

    public Long getExpireTime() {
        return expireTime;
    }

    public void setExpireTime(Long expireTime) {
        this.expireTime = expireTime;
    }

    public void setEnable(boolean enable) {
        this.enable = enable;
    }

    public boolean isEnable() {return enable; }

    public void setDelFlag(boolean delFlag) {
        this.delFlag = delFlag;
    }

    public boolean isDelFlag() { return delFlag; }

    public Integer getUserType() {
        return userType;
    }

    public void setUserType(Integer userType) {
        this.userType = userType;
    }

    public Long getCreateBy() {
        return createBy;
    }

    public void setCreateBy(Long createBy) {
        this.createBy = createBy;
    }

    public Long getUpdateBy() {
        return updateBy;
    }

    public void setUpdateBy(Long updateBy) {
        this.updateBy = updateBy;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }
}
