package com.cool.bang.modules.oracle.mapper;

import com.cool.bang.modules.oracle.domain.*;
import com.cool.bang.modules.oracle.domain.po.Bfxx;
import com.cool.bang.modules.oracle.domain.po.Jgxmjc;
import com.cool.bang.modules.oracle.domain.po.Jgyw;
import com.cool.bang.modules.oracle.domain.po.Jgztg;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface ApplyMapper {

    /**
     * 查询监管开户业务信息
     * @return
     */
    List<Jgyw> selectJgkh();

    /**
     * 查询监管解除业务信息
     * @return
     */
    List<Jgyw> selectJgjc();

    /**
     * 监管资金转托管业务信息
     * @return
     */
    List<Jgztg> selectJgztg();

    /**
     * 查询拨付信息
     * @return
     */
    List<Bfxx> selectBfxx(@Param("apptype") Integer apptype, @Param("flowid") Integer flowid);

    /**
     * 监管项目解除
     * @return
     */
    List<OracleRelieve> selectRelieves();

    /**
     * 楼栋解除
     * @return
     */
    List<OracleRelieve> selectLDRelieves();

    List<OracleRelieveDetail> selectRelieveDetails(Integer appId);

    List<OracleRelieveDetail> selectLDRelieveDetails(Integer appId);

    List<OracleApprovalRecord> selectRelieveRecord(Integer appId);

    /**
     * 楼栋解除查询审批
     * @param appId
     * @return
     */
    List<OracleApprovalRecord> selecLDRelieveRecord(Integer appId);


    List<OracleAccount> selectRelieveSuperviseAccount(Integer appId);

    List<Areg> selectIsRelieve(String projectNumber);



    //-----------------

    /**
     * 查询托管拨付
     */
    List<OracleAppropriation> selectApply_18_19();

    /**
     * 查询监管拨付
     */
    List<OracleAppropriation> selectApply_6_7();

    List<OracleAppropriationDetail> selectApplyDetails_18_19(Integer appId);

    List<OracleAppropriationDetail> selectApplyDetails_6_7(Integer appId);

    List<OracleApprovalRecord> selectApprovalRecords_18_19(Integer appId);

    List<OracleApprovalRecord> selectApprovalRecords_6_7(Integer appId);

    List<OracleApprovalRecord> selectApprovalRecords_8(Integer appid);



}