package com.cool.bang.modules.oracle.mapper;

import com.cool.bang.modules.mysql.domain.Account;
import com.cool.bang.modules.mysql.domain.Relieve;
import com.cool.bang.modules.mysql.domain.TradeInfo;
import com.cool.bang.modules.oracle.domain.OracleUser;
import com.cool.bang.modules.oracle.domain.Refund;
import com.cool.bang.modules.oracle.domain.Trade;
import com.cool.bang.modules.oracle.domain.po.*;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;
import java.util.Map;

@Repository
public interface OracleMapper {
    List<Map<String, Object>> selectFromBxm();

    List<Map<String, Object>> selectAregByXmbh(String xmbh);

    List<Map<String, Object>> selectFromAreg();

    List<Map<String,Object>> selectFromAccount();

    BigDecimal selectAccountInTransitFund(Integer accountid);

    List<Gcjdsq> selectPromProgress();

    List<HtInfo> selectHtInfo();

    List<HtPay> selectHtPayInfo();

    List<BhtTrade> getBhtPayTradeByBHTID(@Param("htId") Long htId);

    List<BhtTrade> getTradeByBHTPayJKBH(@Param("jkbh") String jkbh);

    List<BDj> selectBDJInfo();

    List<TkInfo> selectHtTk();


    /**
     * 用户查询
     */
    List<OracleUser> selectByUser();

    /**
     * 查询待对账 的TRADE
     * @return
     */
    List<TradeInfo> selectDDZ();

    /**
     * 查询托管的账户的交易
     * @return
     */
    List<TradeInfo> selectTG();


    /**
     * 监管转托管
     * @param buildingNumber
     * @return
     */
    BigDecimal sumByZgToTg(@Param("buildingNumber") String buildingNumber);

    /**
     * 交存
     * @param buildingNumber
     * @return
     */
    BigDecimal sumByJc(@Param("buildingNumber") String buildingNumber);

    /**
     * 拨付
     * @param buildingNumber
     * @return
     */
    BigDecimal sumByBf(@Param("buildingNumber") String buildingNumber);

    /**
     * 获取未对账的交存
     * @return
     */
    List<Account> getWdzJc();

    /**
     * 未对账的拨付
     * @return
     */
    List<Account> getWdzBf();

    /**
     * 查询托管的账户的交易  跟楼栋户合计 对账缺失的 几条交易
     * @param ids
     * @return
     */
    List<TradeInfo> selectTGTsDz(@Param("ids") List<Integer> ids);

    /**
     * 查询退款记录信息
     *
     * Param
     * Return
     */
    List<Refund> selectRefundInfo();

    /**
     * 根据项目编号查询监管余额
     * @param xmbh
     * @return
     */
    BigDecimal getJgBalanceByXmbh(@Param("xmbh") String xmbh);

    /**
     * 获取逾期合同
     * @return
     */
    List<HtInfo> selectYqHtInfo();

    /**
     * 根据合同编号 查询第一次交存 的时间
     * @param contractNumber
     * @return
     */
    Date getTradeDateByBHP_jkbh(@Param("contractNumber") String contractNumber);

    /**
     * 根据业务编号查询 是否有 zjjgflag = 0的数据 置为 首付免存
     * @return
     */
    Integer getTradeCheckIsZjjgFlag_0(@Param("number") String number);
}
